{"title":"Create picture (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_create_picture/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_create_picture, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_create_picture","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) A picture object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Create picture (v1.0)","slug":"create-picture-v10","at":0,"chars":1403},{"level":2,"title":"HTTP request (v1.0)","slug":"http-request-v10","at":107,"chars":561},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":668,"chars":128},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":796,"chars":48},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":844,"chars":138},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":982,"chars":200},{"level":2,"title":"Related information","slug":"related-information","at":1182,"chars":221}],"text":"# Create picture (v1.0)\nCreates the properties and relationships of a picture object for Business Central.\n## HTTP request (v1.0)\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPATCH businesscentralPrefix/companies({companyId})/items({itemId})/picture({pictureId})/content\nPATCH businesscentralPrefix/companies({companyId})/vendors({vendorId})/picture({pictureId})/content\nPATCH businesscentralPrefix/companies({companyId})/employees({employeeId})/picture({pictureId})/content\nPATCH businesscentralPrefix/companies({companyId})/customers({customerId})/picture({pictureId})/content\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/octet-stream\nIf-Match|*\n## Request body (v1.0)\nRaw picture binary data.\n## Response (v1.0)\nIf successful, this method returns a `204 No Content` response code. It does not return anything in the response body.\n## Example (v1.0)\nRequest\nHere is an example of the request.\n```json\nPATCH https://{businesscentralPrefix}/api/v1.0/companies(companyId)/items(itemId)/picture(itemId)/content\n```\nResponse\nNo content.\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../dynamics_error_codes\n../resources/dynamics_picture\ndynamics_picture_get\ndynamics_picture_update\ndynamics_picture_delete"}